[users] perl-File-Temp (rpmforge) conflicts with perl (updates) on CentOS 5

Christoph Maser cmr at financial.com
Sun Oct 19 22:18:23 CEST 2008


Am Sonntag, den 19.10.2008, 17:47 +0200 schrieb Thomas M Steenholdt:
> Hi there...
>
> I've been seeing this for a while, when trying to update my system:
>
> Transaction Check Error:
>   file /usr/share/man/man3/File::Temp.3pm.gz from install of
> perl-5.8.8-15.el5_2.1 conflicts with file from package
> perl-File-Temp-0.20-1.el5.rf
>
> File::Temp is needed by amavisd-net (amavisd-new-2.5.4-1.el5.rf) and
> the one that appears to be provided by perl (perl-5.8.8-15.el5_2.1)
> does not appear to work with amavisd-new.
>
> Thanks in advance.
>
> /Thomas

amavisd-new installs just fine for me. I guess you are not using
protectbase or priorities yum plugin.
I have priorities plugin configured with priority=1 for base and
updates, priority=10 for rpmforge. That way the perl-File-Temp from
rpmforge is simply ignored.
http://wiki.centos.org/AdditionalResources/Repositories/RPMForge
recommends yum priorities plugin for all releases.

HTH
Chris


financial.com AG

Munich head office/Hauptsitz München: Maria-Probst-Str. 19 | 80939 München | Germany
Frankfurt branch office/Niederlassung Frankfurt: Messeturm | Friedrich-Ebert-Anlage 49 | 60327 Frankfurt | Germany
Management board/Vorstand: Dr. Steffen Boehnert (CEO/Vorsitzender) | Dr. Alexis Eisenhofer | Dr. Yann Samson | Matthias Wiederwach
Supervisory board/Aufsichtsrat: Dr. Dr. Ernst zur Linden (chairman/Vorsitzender)
Register court/Handelsregister: Munich – HRB 128 972 | Sales tax ID number/St.Nr.: DE205 370 553



More information about the users mailing list